Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class JobParameter

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.JobParameter

All Implemented Interfaces:
  java.io.Serializable

    public class JobParameter

extends java.lang.Object
implements java.io.Serializable

JobParameter.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`JobParameter()`
`JobParameter(java.lang.String name, java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()` Gets the name value for this JobParameter.
`java.lang.Object` | `getValue()` Gets the value value for this JobParameter.
`int` | `hashCode()`
`void` | `setName(java.lang.String name)` Sets the name value for this JobParameter.
`void` | `setValue(java.lang.Object value)` Sets the value value for this JobParameter.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobParameter

    public JobParameter()

### JobParameter

    public JobParameter(java.lang.String name,
                        java.lang.Object value)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name value for this JobParameter.

  Returns:
    name

### setName

    public void setName(java.lang.String name)

  Sets the name value for this JobParameter.

  Parameters:
    `name` -

### getValue

    public java.lang.Object getValue()

  Gets the value value for this JobParameter.

  Returns:
    value

### setValue

    public void setValue(java.lang.Object value)

  Sets the value value for this JobParameter.

  Parameters:
    `value` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.